#version 410 core

uniform sampler2D uChannelA;
uniform sampler2D uChannelB;
uniform sampler2D uChannelC;
uniform sampler2D uChannelD;
uniform sampler2D uChannelText;
uniform sampler2D uChannelTextDebug;


in  vec2    UV;
out vec4    frag_colour;

void main () {
    float alpha = texture(uChannelTextDebug, UV, 0).r;
    if( alpha < .999 )
        discard;
    frag_colour = vec4( vec3(1,0,0), 1.0);
    //frag_colour = texture(uChannelText, UV, 0).rrrr;
}